Last Comment Bug 659719 - about:permissions should use moz-icon://stock/gtk-file as the default favicon
: about:permissions should use moz-icon://stock/gtk-file as the default favicon
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: x86 Linux
: -- trivial (vote)
: Firefox 7
Assigned To: Dão Gottwald [:dao]
:
Mentors:
Depends on:
Blocks: 573176
  Show dependency treegraph
 
Reported: 2011-05-25 12:01 PDT by Dão Gottwald [:dao]
Modified: 2011-06-22 01:14 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (797 bytes, patch)
2011-05-25 12:01 PDT, Dão Gottwald [:dao]
ventnor.bugzilla: review+
Details | Diff | Splinter Review

Description Dão Gottwald [:dao] 2011-05-25 12:01:33 PDT
Created attachment 535141 [details] [diff] [review]
patch
Comment 1 Dão Gottwald [:dao] 2011-05-26 01:51:40 PDT
http://hg.mozilla.org/mozilla-central/rev/a5b5280c08ed
Comment 2 Simona B [:simonab] 2011-06-21 05:20:03 PDT
When I used the Firebug Inspector the value for site favicon is:
>list-style-image: url("chrome://mozapps/skin/places/defaultFavicon.png");

Is this ok?
Comment 3 :Margaret Leibovic 2011-06-21 07:44:07 PDT
(In reply to comment #2)
> When I used the Firebug Inspector the value for site favicon is:
> >list-style-image: url("chrome://mozapps/skin/places/defaultFavicon.png");
> 
> Is this ok?

This fix only changes the favicon image on Linux, and it will only be visible on Nightly at this point. On all other platforms/versions you should expect to see defaultFavicon.png, so it's ok if you do.
Comment 4 Simona B [:simonab] 2011-06-22 01:14:29 PDT
Verified on:
Mozilla/5.0 (X11; Linux i686; rv:7.0a1) Gecko/20110621 Firefox/7.0a1

Site favicon on Linux OS is: list-style-image: url("moz-icon://stock/gtk-file?size=menu");

Note You need to log in before you can comment on or make changes to this bug.